Bug 43699

Summary: Use getIdentifierValue to obtain direction and unicode-bidi properties in ApplyStyleCommand
Product: WebKit Reporter: Ryosuke Niwa <rniwa>
Component: HTML EditingAssignee: Ryosuke Niwa <rniwa>
Status: RESOLVED FIXED    
Severity: Enhancement CC: darin, eric, ojan, tkent, tony, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
fixes the bug
none
initialized highestAncestorUnicodeBidi tony: review+

Description Ryosuke Niwa 2010-08-08 18:02:17 PDT
Currently ApplyStyleCommand uses getPropertyCSSValue and static cast to CSSPrimitiveValue.  We should simplify this by calling getIdentifierValue in all places.
Comment 1 Ryosuke Niwa 2010-08-08 18:27:06 PDT
Created attachment 63853 [details]
fixes the bug
Comment 2 WebKit Review Bot 2010-08-08 20:08:13 PDT
Attachment 63853 [details] did not build on win:
Build output: http://queues.webkit.org/results/3635539
Comment 3 Eric Seidel (no email) 2010-08-09 09:46:36 PDT
Attachment 63853 [details] did not build on mac:
Build output: http://queues.webkit.org/results/3637508
Comment 4 Ryosuke Niwa 2010-08-09 13:18:02 PDT
Created attachment 63922 [details]
initialized highestAncestorUnicodeBidi
Comment 5 Tony Chang 2010-08-09 14:02:06 PDT
Comment on attachment 63922 [details]
initialized highestAncestorUnicodeBidi

OK
Comment 6 Ryosuke Niwa 2010-08-09 16:18:48 PDT
Committed r65013: <http://trac.webkit.org/changeset/65013>
Comment 7 Ryosuke Niwa 2010-08-09 17:06:43 PDT
(In reply to comment #5)
> (From update of attachment 63922 [details])
> OK

Thanks for the review, Tony.
Comment 8 Ryosuke Niwa 2011-05-25 22:39:15 PDT
I don't think the bug 60803 is anything to do with this one.